BFConsortium.org Browser Requirements

Browsers Supported: Internet Explorer 7 or higher, Firefox 3.5 or higher, Chrome 9 or higher, Safari 4 or higher, Opera 10 or higher.

JavaScript: Enabled via browser settings.

Pop-up Blocker: Disabled via browser settings.

Flash Player: Adobe Flash Player (download for free)

For Ipad users: Try the Puffin web browser available from the iTunes store

Please contact our team of breastfeeding education professionals with any questions at 877-514-2354.